> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Download count report

> Download count report



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/export/countReports
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/export/countReports:
    post:
      tags:
        - Export Webservice
      summary: Download count report
      description: Download count report
      operationId: exportCountReports
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Export_ExportCountReportsWSRequest'
      responses:
        '200':
          content:
            text/csv; charset=UTF-8:
              schema:
                $ref: '#/components/schemas/StreamingOutput'
          description: OK
components:
  schemas:
    Export_ExportCountReportsWSRequest:
      type: object
      description: >-
        Request object for exporting count reports with configurable intervals,
        scopes, and time ranges.
      properties:
        endDate:
          type: string
          deprecated: true
          description: Enter the ending date in in ISO 8601 format
          example: '2024-07-17T00:00:00Z'
          nullable: true
        endTimeMs:
          type: integer
          format: int64
          description: End datetime as a UNIX timestamp in milliseconds
          example: 1721416242907
          minimum: 0
          nullable: true
        interval:
          $ref: '#/components/schemas/ReportIntervalEnum'
        scope:
          $ref: '#/components/schemas/ReportScopeEnum'
        startDate:
          type: string
          deprecated: true
          description: Enter the starting date in ISO 8601 format
          example: '2024-07-17T00:00:00Z'
          nullable: true
        startTimeMs:
          type: integer
          format: int64
          description: Start datetime as a UNIX timestamp in milliseconds
          example: 1719861042000
          minimum: 0
          nullable: true
        timeZone:
          type: string
          description: String of timezone for bucketing
          example: America/Los_Angeles
          nullable: true
        type:
          $ref: '#/components/schemas/ReportTypeEnum'
        uuidList:
          type: array
          description: Enter the UUID of device(s) or location(s)
          items:
            type: string
            format: DeviceFacetUuid
            description: RUUID with optional appended facet information
            example: AAAAAAAAAAAAAAAAAAAAAA.v0
            nullable: true
          nullable: true
      required:
        - endTimeMs
        - interval
        - scope
        - startTimeMs
        - type
    StreamingOutput:
      type: object
      nullable: true
    ReportIntervalEnum:
      type: string
      description: Report interval for filtering face events
      enum:
        - MINUTELY
        - QUARTERHOURLY
        - HOURLY
        - DAILY
        - WEEKLY
        - MONTHLY
    ReportScopeEnum:
      type: string
      description: Scope of the report to reset
      enum:
        - REGION
        - DEVICE
        - LOCATION
        - ORG
    ReportTypeEnum:
      type: string
      description: Type of report to receive
      enum:
        - CROWD
        - PEOPLE
        - FACES
        - MOTION
        - BANDWIDTH
        - VEHICLES
        - LICENSEPLATES
        - ALERTS
        - DWELL
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````